The Delivery Schedule Item object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

item_code string
qty number
conversion_factor number
stock_qty number
delivery_date string
sales_order string
sales_order_item string
warehouse string
uom string
stock_uom string
The Delivery Schedule Item object
{
  "id": "delivery-schedule-item_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "qty": 0,
  "conversion_factor": 0,
  "stock_qty": 0,
  "delivery_date": "2024-01-15",
  "sales_order": "sales_order_example",
  "sales_order_item": "sales_order_item_example",
  "warehouse": "warehouse_example",
  "uom": "uom_example",
  "stock_uom": "stock_uom_example"
}
GET /api/crm/delivery-schedule-item/{id}

Retrieve a delivery schedule item

Retrieves the details of an existing delivery schedule item. Supply the unique delivery schedule item ID that was returned from a previous request.

Path parameters

id string required

The identifier of the delivery schedule item to retrieve.

Returns

Returns the delivery schedule item object if a valid identifier was provided.

GET /api/crm/delivery-schedule-item/{id}
curl https://api.overplane.dev/api/crm/delivery-schedule-item/delivery-schedule-item_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "delivery-schedule-item_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "qty": 0,
  "conversion_factor": 0,
  "stock_qty": 0,
  "delivery_date": "2024-01-15",
  "sales_order": "sales_order_example",
  "sales_order_item": "sales_order_item_example",
  "warehouse": "warehouse_example",
  "uom": "uom_example",
  "stock_uom": "stock_uom_example"
}
GET /api/crm/delivery-schedule-item

List all delivery schedule items

Returns a list of delivery schedule items. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of delivery schedule item objects.

GET /api/crm/delivery-schedule-item
curl https://api.overplane.dev/api/crm/delivery-schedule-item \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "delivery-schedule-item_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "item_code": "item_code_example",
      "qty": 0,
      "conversion_factor": 0,
      "stock_qty": 0,
      "delivery_date": "2024-01-15",
      "sales_order": "sales_order_example",
      "sales_order_item": "sales_order_item_example",
      "warehouse": "warehouse_example",
      "uom": "uom_example",
      "stock_uom": "stock_uom_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/crm/delivery-schedule-item

Create a delivery schedule item

Creates a new delivery schedule item object.

Body parameters

item_code string
qty number
conversion_factor number
stock_qty number
delivery_date string
sales_order string
sales_order_item string
warehouse string
uom string
stock_uom string

Returns

Returns the newly created delivery schedule item object if the call succeeded.

POST /api/crm/delivery-schedule-item
curl https://api.overplane.dev/api/crm/delivery-schedule-item \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "delivery-schedule-item_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "qty": 0,
  "conversion_factor": 0,
  "stock_qty": 0,
  "delivery_date": "2024-01-15",
  "sales_order": "sales_order_example",
  "sales_order_item": "sales_order_item_example",
  "warehouse": "warehouse_example",
  "uom": "uom_example",
  "stock_uom": "stock_uom_example"
}
PATCH /api/crm/delivery-schedule-item/{id}

Update a delivery schedule item

Updates the specified delivery schedule item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the delivery schedule item to update.

Body parameters

item_code string
qty number
conversion_factor number
stock_qty number
delivery_date string
sales_order string
sales_order_item string
warehouse string
uom string
stock_uom string

Returns

Returns the updated delivery schedule item object.

PATCH /api/crm/delivery-schedule-item/{id}
curl https://api.overplane.dev/api/crm/delivery-schedule-item/delivery-schedule-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"item_code":"item_code_example","qty":0}'
Response
{
  "id": "delivery-schedule-item_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "qty": 0,
  "conversion_factor": 0,
  "stock_qty": 0,
  "delivery_date": "2024-01-15",
  "sales_order": "sales_order_example",
  "sales_order_item": "sales_order_item_example",
  "warehouse": "warehouse_example",
  "uom": "uom_example",
  "stock_uom": "stock_uom_example"
}
DELETE /api/crm/delivery-schedule-item/{id}

Delete a delivery schedule item

Permanently deletes a delivery schedule item. This cannot be undone.

Path parameters

id string required

The identifier of the delivery schedule item to delete.

Returns

Returns a confirmation that the delivery schedule item has been deleted.

DELETE /api/crm/delivery-schedule-item/{id}
curl https://api.overplane.dev/api/crm/delivery-schedule-item/delivery-schedule-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "delivery-schedule-item_abc123",
  "deleted": true
}